TYPO3.Flow - Bug # 41571

Status: Closed Priority: Must have
Author: Marc Neuhaus Category:

Created: 2012-10-03 Assigned To: Marc Neuhaus
Updated: 2012-11-25 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git 1.2 (master)

Subject: UriBuilder doesn't properly handle arguments of SubRequests

Description

If you're creating a link inside a SubRequest that link currently doesn't add/remember the Arguments, Controller, etc from the
parentRequest if it's nested more than one level.

For example: I'm creating a kind of Application Frame/Scaffold to integrate other Packages/Controller, for that i've created an
ScaffRuntime to encapsulate the other controllers inside a SubRequest and add that generated content to my layout. Now, if i use a
controller which uses the ExposeRuntime to expose some Models the links generated inside that SubRequest don't carry on the
arguments set in the ScaffRuntime, which results in completly useless links and redirects.

Links in SubRequest should carry all arguments of parentRequests with it, because normally a link inside a SubRequest doesn't
change anything about there parents, because they probably don't even know about them.

Associated revisions

Revision 3b43e2a9 - 2012-10-15 14:18 - Marc Neuhaus

[BUGFIX] UriBuilder doesn't properly handle arguments of SubRequests
If you're creating a link inside a SubRequest that link currently

doesn't add/remember the Arguments, Controller, etc from the
parentRequest if it's nested more than one level:

MainRequest->SubRequest->SubRequest

This change fixes the mergeArgumentsWithRequestArguments

to properly add all of parentRequests for links inside SubRequests.
Related: #41571

Releases: 1.2
Change-Id: lae8a2a8a39d47d7e99743d78188dccdd4238ccfb

History

#1 - 2012-11-10 15:22 - Christoph Gross

http://forge.typo3.org/issues/35790 Is it possible that these two bugs are connected?

#2 - 2012-11-25 23:15 - Marc Neuhaus
- Status changed from New to Closed
http://forge.typo3.org/issues/35790

Not sure if that one is related.
This ticket is saved/resolved by the way.
Had falsely an Related instead of Resolves in my commit
